# Resume Website

## Local Development

To run the local development server:

1. Navigate to the `docker/resume` directory
2. Use the unified Caddy management script:
   ```
   ./caddy.sh start    # Start the server
   ./caddy.sh stop     # Stop the server
   ./caddy.sh restart  # Restart the server
   ./caddy.sh status   # Check server status
   ```
3. Open http://localhost:8080 in your browser

### Important Notes

- Always use the `caddy.sh` script to manage the server
- Do not run Caddy directly from other directories

## Content Security Policy (CSP)

When adding new scripts or styles, you need to update the CSP hashes:

1. Make your changes to JS/CSS files
2. Run the update script:
   ```
   ./update-csp-hashes.sh
   ```
3. Restart the server using `./caddy.sh restart`

## Tools

- **CSV Viewer**: A tool for viewing CSV data in tabular format
  - Available at http://localhost:8080/one-pager-tools/csv-tool.html
  - Simply paste CSV data to view it as a formatted table 